Bug 255801 - graphics/gscan2pdf: update to 2.12.1 and re-enable save
Summary: graphics/gscan2pdf: update to 2.12.1 and re-enable save
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL: https://sourceforge.net/p/gscan2pdf/m...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2021-05-11 20:43 UTC by Christoph Moench-Tegeder
Modified: 2021-05-14 20:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments
update gscan2pdf to 2.12.1 (4.19 KB, patch)
2021-05-11 20:43 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2021-05-11 20:43:04 UTC
Created attachment 224859 [details]
update gscan2pdf to 2.12.1

Attached is the update for gscan2pdf to version 2.12.1

This re-enables saving of scans, which was broken by the latest (some time ago) update of graphics/tiff (gscan2pdf fixed that in 2.10.2 https://sourceforge.net/p/gscan2pdf/mailman/message/37178874/ ).

I've already added the new dependencies to the port tree:
  graphics/p5-Graphics-TIFF
  x11-toolkits/p5-Gtk3-ImageView
  textproc/p5-PDF-Builder

gscan2pdf passes testport and "works for me" (scans, exports to PDF and PNG).
Comment 1 commit-hook freebsd_committer 2021-05-13 21:53:23 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=afb3013c8795729a1e3a8f5a2a5b2f57320fb832

commit afb3013c8795729a1e3a8f5a2a5b2f57320fb832
Author:     Danilo Egea Gondolfo <danilo@FreeBSD.org>
AuthorDate: 2021-05-13 21:49:25 +0000
Commit:     Danilo Egea Gondolfo <danilo@FreeBSD.org>
CommitDate: 2021-05-13 21:52:14 +0000

    graphics/gscan2pdf: Update to 2.12.1

    Drop maintainership.

    PR:     255801

 graphics/gscan2pdf/Makefile  | 21 +++++++++++++++------
 graphics/gscan2pdf/distinfo  |  6 +++---
 graphics/gscan2pdf/pkg-plist |  5 ++++-
 3 files changed, 22 insertions(+), 10 deletions(-)
Comment 2 Danilo Egea Gondolfo freebsd_committer 2021-05-13 21:55:13 UTC
Committed, thanks.

I dropped the maintainership, feel free to take it :)
Comment 3 commit-hook freebsd_committer 2021-05-14 20:24:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9a2d2bd9367a32508962d9df7a92d5f47a0eef87

commit 9a2d2bd9367a32508962d9df7a92d5f47a0eef87
Author:     Christoph Moench-Tegeder <cmt@FreeBSD.org>
AuthorDate: 2021-05-14 20:22:52 +0000
Commit:     Christoph Moench-Tegeder <cmt@FreeBSD.org>
CommitDate: 2021-05-14 20:22:52 +0000

    graphics/gscan2pdf: take maintainership

    PR:             255801

 graphics/gscan2pdf/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)